<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Inquilino;
use App\Models\InquilinoHabitacion;
use App\Models\PagosHabitacion;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class InquilinoController extends Controller
{

    public function index()
    {
        $inqui = Inquilino::all();
        return view('admin.inquilino.index', compact('inqui'));
    }

    public function store(Request $request)
    {
        Inquilino::create($request->all());
        return back()->with(['info' => 'Inquilino Registrado Con Exito', 'color' => 'success']);
    }

    public function delete($id)
    {
        Inquilino::find($id)->delete();
        return back()->with(['info' => 'Inquilino Eliminado Con Exito', 'color' => 'success']);
    }

    // registra un inquilino en una habitacion

    public function registro_index()
    {
        $data = InquilinoHabitacion::all();
        $inqui = Inquilino::all();
        return view('admin.inquilino.inquilino_habitacion', compact('data', 'inqui'));
    }

    // registra un inquilino en una habitacion
    public function registro_inquilino_havitacion(Request $request)
    {
        InquilinoHabitacion::create($request->all());
        return back()->with(['info' => 'REGISTRO Con Exito', 'color' => 'success']);
    }

    // ELIMINAR UN INQUILINO DE UNA HABITACION
    public function delete_inquilino_habitacion($id)
    {
        InquilinoHabitacion::find($id)->delete();
        return back()->with(['info' => 'eliminado Con Exito', 'color' => 'success']);
    }

    // registra los pagos de los inquilinos
    public function pagos_index()
    {
        $inqui = InquilinoHabitacion::all();
        $pagos =
            DB::table('pagos_habitacions as pg')
            ->join('inquilino_habitacions as inh', 'pg.inquilino_habitacion_id', '=', 'inh.id')
            ->join('inquilinos as inqui', 'inh.inquilino_id', '=', 'inqui.id')
            ->select('pg.id', 'pg.total', 'pg.descripcion', 'inh.h', 'inh.mensualidad', 'inh.dia', 'inqui.nombre', 'pg.created_at')
            ->whereMonth('pg.created_at', date('m'))
            ->get();

        // dd($pagos);
        return view('admin.inquilino.pagos', compact('inqui', 'pagos'));
    }

    public function pagos_store(Request $request)
    {
        PagosHabitacion::create($request->all());
        return back()->with(['info' => 'pago creado Con Exito', 'color' => 'success']);
    }

    public function pagos_delete($id)
    {
        PagosHabitacion::find($id)->delete();
        return back()->with(['info' => 'pago eliminado Con Exito', 'color' => 'success']);
    }

    public function printRecibo($id)
    {
        $pago =
            DB::table('pagos_habitacions as pg')
            ->join('inquilino_habitacions as inh', 'pg.inquilino_habitacion_id', '=', 'inh.id')
            ->join('inquilinos as inqui', 'inh.inquilino_id', '=', 'inqui.id')
            ->select('pg.id', 'pg.total', 'pg.descripcion', 'inh.h', 'inh.mensualidad', 'inh.dia', 'inqui.nombre', 'pg.created_at')
            ->where('pg.id', $id)
            ->first();

        return view('admin.reports.habi.pago', compact('pago'));
    }
}
