@extends('layouts.app')

@section('styles')
<link rel="stylesheet" href="{{asset('ventas/estilos.css')}}">
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css')}}">

<style>
    .form-check [type=checkbox]:checked,
    .form-check [type=checkbox]:not(:checked) {
        position: absolute;
        left: 10px;
    }

    .logo {
        display: none;
    }

    img {

        width: 10% !important;

    }
</style>
@endsection

@section('content')
<div class="container-fluid mt-4 p-2">
    <div class="row">

        <div class="col-md-5">
            @include('admin.ventas.import.tablaventa')
        </div>
        <div class="col-md-7">
            @include('admin.ventas.import.articulos')
        </div>

        <div class="col-md-2 d-none">
            <!-- @include('admin.ventas.import.datosdescrip') -->
        </div>

    </div>
</div>



@endsection

@section('scripts')
<script src="{{asset('plugins/slim-select/slimselect.min.js')}}"></script>
<script>
    new SlimSelect({
        select: '#cliente_id'
    });
</script>

<script>
    // combinación de teclas ctrl + i , para guardar
    document.addEventListener('keyup', event => {
        // event.ctrlKey && , para nadir control
        if (event.keyCode === 119) {
            document.getElementById("bt_submit").click();
        }
    }, false)
    var total = 0;
    var cont = 0;
    var subtotal = Array;
    const formulario = document.querySelector('#producto')
    const result = document.querySelector('#result')
    const preciog = document.querySelector('#preciog')
    const existenciag = document.querySelector('#existenciag')
    const cantidadg = document.querySelector('#cantidadg')
    const descuentog = document.querySelector('#descuentog')
    const id_producto = document.querySelector('#id_producto')
    const container = document.querySelector('#container')
    const totalg = document.querySelector('#total')
    const tabla_venta = $('#tabla_venta')
    const addDesc = document.querySelector('#addDesc');
    const cancela = document.querySelector('#cancela')
    const cambio = document.querySelector('#cambio')
    var nombreg = '';
    var descripciong = '';
    cantidadg.value = 1;
    var product = []

    const buscar = () => {
        let route = "{{ route('venta.findArticle') }}"
        if (formulario.value.length >= 3) {
            if (event.keyCode === 13) {
                // Cancel the default action, if needed
                event.preventDefault();
                product = []
                $.ajax({
                    type: "GET",
                    url: route,
                    data: {
                        codigo: formulario.value
                    },
                    dataType: "JSON",
                    success: function(resp) {
                        for (let i = 0; i < resp.length; i++) {
                            if (resp[i].stock > 0) {
                                product.push({
                                    id: resp[i].id,
                                    nombre: resp[i].nombre,
                                    codigo: resp[i].cod_barras,
                                    stock: resp[i].stock,
                                    precio: resp[i].p_venta,
                                    descripcion: resp[i].descripcion,
                                    categoria: resp[i].categoria_id,
                                    descripcionInterna: resp[i].descripcion_interna,
                                    img: resp[i].img
                                })
                            }
                        }

                        result.innerHTML = '';
                        const texto = formulario.value.toLowerCase();

                        for (let data of product) {
                            let nombre = data.nombre.toLowerCase();
                            let desc = data.descripcion.toLowerCase();
                            let code = data.codigo.toLowerCase();
                            if (nombre.indexOf(texto) !== -1 || desc.indexOf(texto) !== -1 || code.indexOf(texto) !== -1) {

                                if (data.descripcionInterna) {
                                    result.innerHTML += `
                    <div class="col-md-3 cursot-pointer mt-2" >
                        <div class="card" onclick="add(${data.id})">
                            <img class="card-img-top" style="width: 100% !important"  src="${data.img}" alt="">
                        <div class="card-body">
                            <h6 class="card-title">${data.nombre}</h6>
                             <p class="card-text">${data.descripcion} Q. ${data.precio.toLocaleString()} <br> Stock:  <b>${data.stock} </b>
                             </p>
                        </div>
                    </div>

                    <p class="text-center mt-1">
                        <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#contentId${data.id}" aria-expanded="false" aria-controls="contentId">
                         DESCRIPCION
                        </button>
                    </p>
                    <div class="collapse" id="contentId${data.id}">
                        ${data.descripcionInterna}
                    </div>

                </div>`
                                } else {
                                    result.innerHTML += `
                <div class="col-md-3 cursot-pointer mt-2" >
                    <div class="card" onclick="add(${data.id})">
                        <img class="card-img-top" style="width: 100% !important"  src="${data.img}" alt="">
                        <div class="card-body">
                            <h6 class="card-title">${data.nombre}</h6>
                             <p class="card-text">${data.descripcion} Q. ${data.precio.toLocaleString()} <br> Stock:  <b>${data.stock} </b>
                             </p>
                        </div>
                    </div>
                </div>`
                                }

                            }
                        }

                        if (result.innerHTML === '') {
                            result.innerHTML = '<li>SIN RESULTADOS</li>';
                        }
                    }
                });
            }

        } else {
            produto = [];
        }
        return

    }

    formulario.addEventListener('keyup', buscar)

    function add(idpro) {
        const {
            id,
            nombre,
            codigo,
            precio,
            stock,
            descripcion
        } = product.find(e => e.id === idpro);

        preciog.value = precio
        // cambiar la existencia por la del producto
        existenciag.value = stock
        id_producto.value = id
        nombreg = nombre;
        descripciong = descripcion;

        if (addDesc.value !== 'NORMAL') {
            let descuento = (preciog.value * addDesc.value) / 100;
            if (parseFloat(descuento) >= 0) {
                descuentog.value = parseFloat(descuento)
                // addToTable()
            } else {

                alert('NO SE APLICO EL DESCUENTO')
            }
        } else {
            addToTable();
        }

    }

    function limpiar() {
        preciog.value = '';
        existenciag.value = '';
        cantidadg.value = 1;
        descuentog.value = '';
        formulario.focus()
    }


    function eliminar_fila(index) {
        total = total - subtotal[index];

        totalg.innerHTML = ' <input type="number" id="totvent" name="totalventa" class="form-control d-none" style="height: 4vh;" value="' + total + '" readonly > <label>' + total + '</laberl';
        $('#fila' + index).remove();
    }


    function addToTable() {
        var newdescuento = 0;
        if (descuentog.value > 0) {
            newdescuento = (descuentog.value) * cantidadg.value;
        }

        if (id_producto.value != '' && preciog.value != '' && cantidadg.value != '' && existenciag.value != '') {
            subtotal[cont] = (cantidadg.value * preciog.value) - newdescuento;
            total = total + subtotal[cont];

            var fila = '<tr class="selected" id="fila' + cont + '">' +
                '<td><a href="#" class="btn btn-danger btn-sm" onclick="eliminar_fila(' + cont + ')">X</a></td>' +
                '<td><input type="hidden" name="articulo_id[]" value="' + id_producto.value + '">' + nombreg + descripciong + '</td>' +
                '<td><input type="number" class="form-control d-none"  name="precioventa[]" value="' + preciog.value + '" readonly> <label> ' + preciog.value + '</label> </td> ' +
                '<td><input type="number" class="form-control d-none"  name="descuento[]" value="' + newdescuento + '" readonly > <label> ' + newdescuento + ' </label> </td> ' +
                '<td class="" ><input type="number" class="form-control d-none"  name="cantidad[]" value="' + cantidadg.value + '" readonly >   <label> ' + cantidadg.value + ' </label> </td> ' +
                '<td> <input type="hidden" name="subtotal[]" value="' + subtotal[cont] + '">' + subtotal[cont] + '</td>' +
                '</tr>';
            cont++;
            limpiar();
            tabla_venta.prepend(fila);
            totalg.innerHTML = ' <input type="number" id="totvent" name="totalventa" class="form-control d-none" style="height: 4vh;" value="' + total + '" readonly > <label>' + total + '</laberl'

        } else {

            container.innerHTML += `
                <div class="alert alert-warning alert-dismissible fade show" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        <span class="sr-only">Close</span>
                    </button>
                    <strong>SELECCIONE!</strong> UN PRODUCTO.
                </div>
            `
        }

    }

    function cambio_fun() {
        let cambiof = parseFloat(cancela.value)
        let newcambio = cambiof - total;
        cambio.innerHTML = '<label> CAMBIO: Q. ' + newcambio + '</label>';
    }
</script>

@endsection