<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="robots" content="noindex,nofollow">
    <title>{{config('app.name')}}</title>
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('logos/logo.icon')}}">

    <link rel="stylesheet" href="{{asset('theme/data/materialdesignicons.min.css')}}">
    <link rel="stylesheet" href="{{asset('theme/data/vendor.bundle.base.css')}}">
    <link rel="stylesheet" href="{{asset('theme/data/style.css')}}">
    <!-- fontawesome -->
    <script src="{{asset('plugins/fontaweson/fontaws.js')}}" crossorigin="anonymous"></script>
    @yield('styles')

    <style>
        body,
        * {
            font-weight: 900;
            font-size: 18px;

        }

        .form-control,
        .typeahead,
        .tt-query,
        .tt-hint {
            border: 1px solid #000000;
            font-weight: 900;
            font-size: 0.875rem;
            height: auto;
            border-radius: 35px;
        }
    </style>
</head>

<body>



    <div class="horizontal-menu">
        @include('partial.admin.header')
    </div>
    <div class="container-fluid page-body-wrapper">
        <div class="main-panel">
            @include('partial.admin.navbar')
            <div class="content-wrapper">
                @include('partial.admin.alert')
                @yield('content')
            </div>
            @include('partial.admin.footer')
        </div>
    </div>


    <!--**********************************
        Scripts
    ***********************************-->

    <script src="{{asset('theme/data/vendor.bundle.base.js')}}"></script>
    <script src="{{asset('theme/data/template.js')}}"></script>

    @yield('scripts')
</body>

</html>