<?php $__env->startSection('styles'); ?>
<link rel="stylesheet" href="<?php echo e(asset('plugins/datatable/css/dataTables.bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="container-fluid">
    <div class="row">
        <div class="col">
            <div class="card mb-4">
                <div class="card-body">

                    <div class="d-flex justify-content-sm-between">
                        <h3 class="card-title">Listado de Articulos</h3>

                        <div class=""><a class="btn btn-primary" href="<?php echo e(route('articulo.nuevo')); ?>"> <i class="fa fa-plus" aria-hidden="true"></i> Registrar Articulo</a></div>
                    </div>

                    <div class="table-responsive  table-responsive mb-5">
                        <table class="table table-data table-hover" id="table_id"  data-page-length="40">
                            <thead style=" cursor: pointer;">
                                <tr style="background-color: black; color:white;">
                                    <th style="color: white;">Nombre <i class="fa fa-sort"></i> </th>
                                    <th style="color: white;">Descripcion <i class="fa fa-sort"></i> </th>
                                    <th style="color: white;">Categoria <i class="fa fa-sort"></i></th>
                                    <th style="color: white;">Precio Venta <i class="fa fa-sort"></i></th>
                                    <th style="color: white;">Stock <i class="fa fa-sort"></i></th>
                                    <th style="color: white;">Minimo Stock <i class="fa fa-sort"></i></th>
                                    <th style="color: white;">Codigo de Barras <i class="fa fa-sort"></i></th>
                                    <th style="color: white;"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $articulos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $art): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <tr class="tr-shadow <?php if($art->stock < $art->min_stock): ?>
                            bg-info text-white
                        <?php endif; ?>">
                                    <td><?php echo e($art->nombre); ?></td>
                                    <td><?php
                                        echo $art->descripcion;
                                    ?></td>
                                    <td><?php echo e($art->nomCat); ?></td>
                                    <td>Q. <?php echo e(number_format($art->p_venta, 2)); ?></td>
                                    <td><?php echo e($art->stock); ?></td>
                                    <td><span class="badge badge-warning" style="    background-color: #ff9595;font-size: 14px;color: white;"><?php echo e($art->min_stock); ?></span></td>
                                    <td><?php echo e($art->cod_barras); ?></td>
                                    <td>

                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_show')): ?>
                                        <a class="item btn btn-success" href="<?php echo e(route('articulo.show', ['id' => $art->id])); ?>" data-toggle="tooltip" data-placement="top" title="Ver Datos de  <?php echo e($art->nombre); ?>" data-original-title="Editar <?php echo e($art->nombre); ?>">
                                            <i class="fa fa-eye" style="color:white;" aria-hidden="true"></i>
                                        </a>
                                        <?php endif; ?>

                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('articulos_delete')): ?>   
                                        <a class="item btn btn-danger" data-toggle="tooltip" data-placement="top" title="Eliminar <?php echo e($art->nombre); ?>" onclick="return confirm('Esta Seguro de Eliminar' )" data-original-title="Eliminar <?php echo e($art->nombre); ?>" href="<?php echo e(route('articulo.delete', ['id' => $art->id])); ?>">
                                            <i class="fa fa-trash" aria-hidden="true"></i>
                                        </a>
                                        <?php endif; ?>

                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script src="<?php echo e(asset('plugins/datatable/js/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/datatable/js/dataTables.bootstrap4.min.js')); ?>"></script>

<script>
    $(document).ready(function() {
        $('#table_id').DataTable({
            "language": {
                'info': '_TOTAL_ REGISTROS',
                'search': 'BUSCAR',
                'paginate': {
                    'next': 'SIGUIENTE',
                    'previous': 'ATRAS'
                },
                'loadingRecords': 'CARGANDO',
                'emptyTable': 'NO EXISTEN DATOS',
                'zeroRecords': 'NO EXISTEN DATOS IGUALES'
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ari/Escritorio/php/ferreteria_emanuel/resources/views/admin/articulos/index.blade.php ENDPATH**/ ?>